Extensible Managed Object Get Value
List of custom field values.
List of custom field values.
Each value uses a key to associate an instance of a CustomFieldStringValue with a custom field definition.
Required privileges: System.View
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/ExtensibleManagedObject/{moId}/value
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case ExtensibleManagedObject/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
OK
[
{
"_typeName": "string",
"key": 0
}
]
array of
object
Base type for storing values.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/ExtensibleManagedObject/{moId}/value
Virtual Infrastructure Operations
POST
Extensible Managed Object Set Custom Value
GET
Extensible Managed Object Get Available Field
GET
Extensible Managed Object Get Value